Filebeat 5.x pushing to Elasticsearch 6.8.x via Kafka topic

From the product compatibility matrix, Elasticsearch 6.8.x is compatible with Beats (say filebeats) version 5.6.x to 6.8.x.

Will it work, if I'm using filebeats version 5.5.1 to push to Kafka topic and Logstash 6.8.x is picking up messages from the kafka topic and indexing to ES 6.8.x?

@Christian_Dahlqvist - any thoughts on this?

It seems to work but just want to be doubly sure of this.